<?php
/**
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
 * License for the specific language governing rights and limitations under the License.
 * 
 * The Original Code is Alchitect Core Server.
 * 
 * The Initial Developer of the Original Code is Darrell Brogdon.
 * Portions created by Darrell Brogdon are Copyright (C) 2002-2009 Alchisoft, LLC
 * All Rights Reserved.
 * 
 * Contributor(s): .
 * 
 * @package AlchitectCoreServer
 */
class ASSelectFieldProcessor extends ASFieldProcessor
{
	private $select_field = null;
	
	public function __construct($select_field)
	{
		parent::__construct($select_field);
		
		$this->select_field = $select_field;
	}
	
	public function sql()
	{
		$enum = '';
		
		for ($x=0,$y=$this->select_field->childNodes->length; $x<$y; ++$x)
		{
			$node	= $this->select_field->childNodes->item($x);
			$delim	= ($x<($y - 1) ? ', ' : '');
			$value	= ('' == $node->getAttribute('value') ? $node->nodeValue : $node->getAttribute('value'));
			
			if ('' == $value)
			{
				continue;
			}
			
			$enum	.= "'{$value}'{$delim}";
		}
	
		return sprintf
		(
			"\t%s enum(%s),\n"
		  , $this->name
		  , $enum
		);
	}
}
?>