<?php
include_once('simpletest/unit_tester.php');
include_once('../classes/ASLog.php');

class ASLogTest extends UnitTestCase
{
	function __construct()
	{
		parent::UnitTestCase("ASLog Test");
	}
	
	function setUp()
	{
		ASLog::instance()->setLogLevel(AS_LOG_LEVEL_WARN);
	}
	
	function testInstance()
	{
		$instance = ASLog::instance();
		
		$this->assertIsA($instance, 'ASLog');
	}
	
	function testInfo()
	{
		$message = 'This Is A Test Info Message';
		
		ASLog::instance()->info($message);
		
		$contents		= file('/var/log/alchitect.com.log');
		$new_message	= trim(array_pop(explode(':', $contents[sizeof($contents) - 1])));
		
		$this->assertEqual($message, $new_message);
	}
		
	function testDebug()
	{
		$message = 'This Is A Test Debug Message';
		
		ASLog::instance()->debug($message);
		
		$contents		= file('/var/log/alchitect.com.log');
		$new_message	= trim(array_pop(explode(':', $contents[sizeof($contents) - 1])));
		
		$this->assertEqual($message, $new_message);
	}
	
	function testWarn()
	{
		$message = 'This Is A Test Warn Message';
		
		ASLog::instance()->warn($message);
		
		$contents		= file('/var/log/alchitect.com.log');
		$new_message	= trim(array_pop(explode(':', $contents[sizeof($contents) - 1])));
		
		$this->assertEqual($message, $new_message);
	}

	function testFatal()
	{
		$message = 'This Is A Test Fatal Message';
		
		ASLog::instance()->fatal($message);
		
		$contents		= file('/var/log/alchitect.com.log');
		$new_message	= trim(array_pop(explode(':', $contents[sizeof($contents) - 1])));
		
		$this->assertEqual($message, $new_message);
	}

	function testLog()
	{
		$message = 'This Is A Test Log Message';
		
		ASLog::instance()->log(AS_LOG_LEVEL_DEBUG, $message);
		
		$contents		= file('/var/log/alchitect.com.log');
		$new_message	= trim(array_pop(explode(':', $contents[sizeof($contents) - 1])));
		
		$this->assertEqual($message, $new_message);
	}
	
	function testLogLevel()
	{
		ASLog::instance()->setLogLevel(AS_LOG_LEVEL_INFO);
		
		$this->assertEqual(ASLog::instance()->logLevel(), AS_LOG_LEVEL_INFO);
	}
}
?>