/**
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
 * License for the specific language governing rights and limitations under the License.
 * 
 * The Original Code is Alchitect Core Server.
 * 
 * The Initial Developer of the Original Code is Darrell Brogdon.
 * Portions created by Darrell Brogdon are Copyright (C) 2002-2009 Darrell Brogdon.
 * All Rights Reserved.
 * 
 * Contributor(s): .
 * 
 * @package AlchitectUserAccountModule
 */
$(function() {
	$('#email_address').focus();

	AS_FORM.registerHook(verifyPasswordConfirmationHook);
	AS_FORM.registerFormSubmittedCallback(registration_form_submitted);
});

/**
 * Callback function to be executed after the form has been submitted, the XHR
 * request has been made, and data is ready to be acted upon.
 *
 * @param Object The XHR response data object
 * @param String The XHR response string
 */
function registration_form_submitted(data, status)
{
	console.log("DATA: %o", data);
	console.log("STATUS: %o", status);
	
	if (false == data.value)
	{
		$('#error').html('Registraion Failed - Please try again').show();
	}
	else if ('Exception' == data.type)
	{
		$('#error').html('ERROR (' + data.code + '): ' + data.value).show();
	}
	else
	{
		$('#confirmation').html('Registration Saved!').show();
		
		$.cookie('user_id',		data.result.user_id);
		$.cookie('user_name',	data.result.email_address);
		$.cookie('auth_key',	data.result.auth_key);

		window.location = URLPath() + 'app/user_account/list';
	}
}

/**
 * Verify the the password confirmation value matches the password value.
 *
 * @param Object The form object.
 */
function verifyPasswordConfirmationHook(frm)
{
	if ($('#confirm_pw_row').css('display') != 'none')
	{
		if ($('#confirm_password').val() != $('#password').val())
		{
			$('#confirm_password').parent().addClass('error_input');
			$('#confirm_password').focus().select();
			return false;
		}
	}

	$('#confirm_password').parent().removeClass('error_input');

	return true;
}